Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 586798 - =app-emulation/virtualbox-guest-additions-5.0.20 checks for gcc<5.4
Summary: =app-emulation/virtualbox-guest-additions-5.0.20 checks for gcc<5.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-5
  Show dependency tree
 
Reported: 2016-06-23 12:26 UTC by Paolo Pedroni
Modified: 2016-11-20 23:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
virtualbox-guest-additions-5.0.20:20160623-120729.log.gz (virtualbox-guest-additions-5.0.20:20160623-120729.log.gz,1.93 KB, application/gzip)
2016-06-23 12:26 UTC, Paolo Pedroni
Details
virtualbox-guest-addition-5.0.20-fix-gcc-version.patch (virtualbox-guest-additions-5.0.20-fix-gcc-version.patch,872 bytes, patch)
2016-06-23 12:28 UTC, Paolo Pedroni
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2016-06-23 12:26:50 UTC
Created attachment 438524 [details]
virtualbox-guest-additions-5.0.20:20160623-120729.log.gz

Configuring source in /var/tmp/portage/app-emulation/virtualbox-guest-additions-5.0.20/work/VirtualBox-5.0.20 ...
./configure --nofatal --disable-xpcom --disable-sdl-ttf --disable-pulse --disable-alsa --with-gcc=x86_64-pc-linux-gnu-gcc --with-g++=x86_64-pc-linux-gnu-g++ --target-arch=amd64 --with-linux=/lib/modules/4.4.6-gentoo/build --build-headless
Checking for environment: Determined build machine: linux.amd64, target machine: linux.amd64, OK.
Checking for kBuild: found, OK.
Checking for gcc: 
  ** gcc version 5.4 found, expected gcc 3.x with x>1 or gcc 4.x with 0<x<10 or gcc 5.3!
Check /var/tmp/portage/app-emulation/virtualbox-guest-additions-5.0.20/work/VirtualBox-5.0.20/configure.log for details
 * ERROR: app-emulation/virtualbox-guest-additions-5.0.20::gentoo failed (configure phase):
 *   configure failed

# emerge --info =app-emulation/virtualbox-guest-additions-5.0.20
Portage 2.2.28 (python 2.7.11-final-0, default/linux/amd64/13.0/desktop, gcc-5.4.0, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Pentium-R-_CPU_G630_@_2.70GHz-with-gentoo-2.2
KiB Mem:     4046036 total,   1032748 free
KiB Swap:    3144700 total,   3113376 free
Timestamp of repository gentoo: Wed, 22 Jun 2016 07:15:01 +0000
sh dash 0.5.8.2
ld GNU gold (Gentoo 2.25.1 p1.1 2.25.1) 1.11
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42-r1::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=sandybridge -mno-avx -msahf -mno-xsave -mno-xsaveopt -mno-aes --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=3072 -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=sandybridge -mno-avx -msahf -mno-xsave -mno-xsaveopt -mno-aes --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=3072 -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks ipc-sandbox merge-sync news parallel-fetch protect-owned sandbox sfperms split-elog split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://tux.rainside.sk/gentoo/ http://gentoo.supp.name/ http://mirror.leaseweb.com/gentoo/ http://gentoo.mneisen.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize"
MAKEOPTS="-j11 -l2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 bash-completion branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt curl cxx dbus dga dri dts dvd dvdr emboss encode exif expat fam fbcon firefox flac fontconfig fortran ftp gdbm gif glamor gmp gnutls gpm gtk iconv icu idn ipv6 jpeg lcms libnotify libsamplerate lm_sensors lzma lzo mad mmap mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl nsplugin offensive ogg opengl openmp pam pango pch pcre pdf png policykit postscript ppds pulseaudio qt3support qt4 rdesktop readline sdl seccomp session sockets spell sqlite sse sse2 ssl startup-notification svg symlink syslog systemd sysvipc threads tidy tiff truetype udev udisks unicode upower usb vim-syntax vorbis wayland win32codecs wxwidgets x264 xattr xcb xcomposite xml xpm xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it it_IT" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="virtualbox" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

app-emulation/virtualbox-guest-additions-5.0.20::gentoo was built with the following:
USE="X" ABI_X86="64"
CFLAGS="-O2 -pipe -march=sandybridge -mno-avx -msahf -mno-xsave -mno-xsaveopt -mno-aes --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=3072 -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize -fno-loop-interchange -fno-tree-loop-distribution -fno-tree-vectorize -fno-loop-strip-mine -fno-loop-block -fno-graphite-identity -fno-lto -fno-use-linker-plugin"
CXXFLAGS="-O2 -pipe -march=sandybridge -mno-avx -msahf -mno-xsave -mno-xsaveopt -mno-aes --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=3072 -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize -fno-loop-interchange -fno-tree-loop-distribution -fno-tree-vectorize -fno-loop-strip-mine -fno-loop-block -fno-graphite-identity -fno-lto -fno-use-linker-plugin"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=3 -fuse-linker-plugin -floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -fgraphite-identity -ftree-vectorize -fno-loop-interchange -fno-tree-loop-distribution -fno-tree-vectorize -fno-loop-strip-mine -fno-loop-block -fno-graphite-identity -fno-lto -fno-use-linker-plugin"

# emerge -1pqv =app-emulation/virtualbox-guest-additions-5.0.20
[ebuild   R   ] app-emulation/virtualbox-guest-additions-5.0.20  USE="X"
Comment 1 Paolo Pedroni 2016-06-23 12:28:03 UTC
Created attachment 438526 [details, diff]
virtualbox-guest-addition-5.0.20-fix-gcc-version.patch

This patch fixes the configure script to work with gcc-5.4.0
Comment 2 Fernando (likewhoa) 2016-06-23 16:46:12 UTC
patch WFM
Comment 3 Andreas Sturmlechner gentoo-dev 2016-08-25 22:32:24 UTC
It seems this should be fixed since:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bae98c653a86bdf98d02fe91f1a6fcbb9ea15e7b
app-emulation/virtualbox-guest-additions: disable pointless gcc check